Bug 252811 - [New Port] misc/wmforecast: Weather dockapp for Window Maker using the Yahoo Weather API
Summary: [New Port] misc/wmforecast: Weather dockapp for Window Maker using the Yahoo ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/d-torrance/wmforec...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-18 18:21 UTC by Igor Pokrovsky
Modified: 2021-01-20 08:30 UTC (History)
2 users (show)

See Also:


Attachments
Diff file (3.73 KB, patch)
2021-01-18 18:21 UTC, Igor Pokrovsky
no flags Details | Diff
patch with some corrections of initial version (4.26 KB, patch)
2021-01-19 09:56 UTC, Rainer Hurling
ip: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Pokrovsky 2021-01-18 18:21:53 UTC
Created attachment 221716 [details]
Diff file

Wmforecast is a weather dockapp for Window Maker. It displays the current      
temperature and an icon representing the current conditions.                   
A balloon tooltip displays forecast information.                               
The weather information comes from the Yahoo Weather API.                      
                                                                               
WWW: https://wmforecast.friedcheese.org/
Comment 1 Rainer Hurling freebsd_committer 2021-01-19 09:56:24 UTC
Created attachment 221730 [details]
patch with some corrections of initial version

Hi Igor,

Many thanks for this nice little new port!

After I investigated a bit in some test, I suggest an updated patch (see attachment area) with the following changes:

- Removing [SPACE] before the TAB in lines 4,5,6, and 7
- Adding USES=pkgconfig
- Adding INSTALLS_ICONS=yes
- Adding OPTION NLS for users, who have no need
  to build with gettext
- Remove PORT_OPTIONS=MGEOCLUE, not used for anything
- Add GEOCLUE_CONFIGURE_WITH=geoclue. Otherwise the port
  uses geoclue, if installed, even when unselected.
- Reorder some vars in Makefile, as suggested by
  portclippy (from ports-mgmt/portfmt)
- Add Desktop files to pkg-plist


If you agree with my changes, could you please give approval to the patch (= changing the field in attachment area right to the patch from '?' to '+')?
Comment 2 Igor Pokrovsky 2021-01-19 17:54:30 UTC
Comment on attachment 221730 [details]
patch with some corrections of initial version

Hello Rainer,

Thank you very much for your corrections! Last time I ported apps about 10 years ago, much has changed since that time. I guess I have to learn new things.

This is the only WM dock app, that actually works for me. Other weather dock apps from ports don't.
Comment 3 Rainer Hurling freebsd_committer 2021-01-19 18:51:45 UTC
(In reply to Igor Pokrovsky from comment #2)
FYI: I just opened a review on Phabricator [1], to get approval from my mentors ;)

[1] https://reviews.freebsd.org/D28239


I am successfully running misc/wmweather+ for years now. It needs a configuration file 'EDDV.conf' under ~/.wmweather+, in my case with the following contents:

email xxxx@xxxx.xx
station EDDV
location xx'xx'xxN xx'xx'xxE
kph
tempc


HTH,
Rainer
Comment 4 commit-hook freebsd_committer 2021-01-19 19:01:25 UTC
A commit references this bug:

Author: rhurlin
Date: Tue Jan 19 19:01:08 UTC 2021
New revision: 562070
URL: https://svnweb.freebsd.org/changeset/ports/562070

Log:
  misc/wmforecast: New port, version 1.4

  Wmforecast, a weather dockapp for Window Maker, displays
  current temperature and current conditions. Forecast via
  balloon tooltip.

  Changelog: https://github.com/d-torrance/wmforecast/blob/master/ChangeLog

  PR:		252811
  Submitted by:	Igor Pokrovsky <ip@unixway.org> (new maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28239

Changes:
  head/misc/Makefile
  head/misc/wmforecast/
  head/misc/wmforecast/Makefile
  head/misc/wmforecast/distinfo
  head/misc/wmforecast/pkg-descr
  head/misc/wmforecast/pkg-plist
Comment 5 Rainer Hurling freebsd_committer 2021-01-19 19:02:28 UTC
Committed, congrats and thanks :)
Comment 6 Igor Pokrovsky 2021-01-20 08:30:56 UTC
Thanks, Rainer!